Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.domains.assign({
id: "<id>",
requestBody: {
site: "<value>",
},
});
console.log(result);
}
run();curl --request POST \
--url https://api.crevio.co/v1/domains/{id}/assign \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"site": "<string>"
}
'import requests
url = "https://api.crevio.co/v1/domains/{id}/assign"
payload = { "site": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({site: '<string>'})
};
fetch('https://api.crevio.co/v1/domains/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"id": "<string>",
"domain": "<string>",
"dns_status": "<string>",
"verified": true,
"managed": true,
"verified_at": "<string>",
"site_id": "<string>",
"cname_target": "<string>",
"dns_records": {},
"verification_errors": [
"<string>"
],
"created_at": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}Domains
Assign a domain to a site
Routes the domain to a site: attaches it to the given site and writes the edge routing record. Reassigning moves it.
POST
/
domains
/
{id}
/
assign
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.domains.assign({
id: "<id>",
requestBody: {
site: "<value>",
},
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")
Body
application/json
Prefix id of the site to route this domain to.
Response
The assigned domain
Available options:
pending, ssl_pending, active, error, null Was this page helpful?
⌘I

